https://gitlab.freedesktop.org/julian/wireplumber/-/commit/5afd176698aee835c8812eb7944ba12da53ffeab

From 5afd176698aee835c8812eb7944ba12da53ffeab Mon Sep 17 00:00:00 2001
From: Julian Bouzas <julian.bouzas@collabora.com>
Date: Mon, 13 Dec 2021 12:01:52 -0500
Subject: [PATCH] spa-pod: fix different architecture errors for boolean values

---
 lib/wp/spa-pod.c | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/lib/wp/spa-pod.c b/lib/wp/spa-pod.c
index c1c22572..bd7b8876 100644
--- a/lib/wp/spa-pod.c
+++ b/lib/wp/spa-pod.c
@@ -2332,6 +2332,10 @@ wp_spa_pod_builder_add_valist (WpSpaPodBuilder *self, va_list args)
         }
         break;
       }
+      case 'b':
+        spa_pod_builder_bool(&self->builder,
+            va_arg(args, gboolean) ? true : false);
+        break;
       default:
         SPA_POD_BUILDER_COLLECT(&self->builder, *format, args);
         break;
@@ -2778,6 +2782,10 @@ wp_spa_pod_parser_get_valist (WpSpaPodParser *self, va_list args)
         }
         break;
       }
+      case 'b':
+        *va_arg(args, gboolean*) =
+            SPA_POD_VALUE(struct spa_pod_bool, pod) ? TRUE : FALSE;
+        break;
       default:
         SPA_POD_PARSER_COLLECT (pod, *format, args);
         break;
-- 
GitLab

